ata_dev_enable_pm
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_enable_pm — enable SATA interface power management

## Synopsis

`void ata_dev_enable_pm (` | struct ata_device * | dev,
| enum link_pm | policy`)`;

## Arguments

`dev`

  device to enable power management

`policy`

  the link power management policy

## Description

Enable SATA Interface power management. This will enable Device Interface Power Management (DIPM) for min_power policy, and then call driver specific callbacks for enabling Host Initiated Power management.

## Locking

Caller.

## Returns

-EINVAL if IPM is not supported, 0 otherwise.

Prev | Up | Next
ata_build_rw_tf | Home | ata_dev_disable_pm